--- old/usr/src/test/os-tests/tests/secflags/secflags_psecflags.sh	Mon Oct 21 21:31:34 2019
+++ new/usr/src/test/os-tests/tests/secflags/secflags_psecflags.sh	Mon Oct 21 21:31:34 2019
@@ -13,8 +13,15 @@
 
 #
 # Copyright 2015, Richard Lowe.
+# Copyright 2019 Joyent, Inc.
 #
 
+# check secflags, waiting a little bit for the change to happen
+secflags() {
+    sleep 1
+    /usr/bin/psecflags $*
+}
+
 mkdir /tmp/$$-secflags-test
 cd /tmp/$$-secflags-test
 
@@ -23,7 +30,7 @@
 	I:	none
 EOF
 
-/usr/bin/psecflags $$ | grep I: > output
+secflags $$ | grep I: > output
 diff -u expected output || exit 1 # Make sure the setting of 'none' worked
 
 cleanup() {
@@ -42,7 +49,7 @@
 	I:	aslr
 EOF
 
-    /usr/bin/psecflags $$ | grep I: > output
+    secflags $$ | grep I: > output
     diff -u expected output || exit 1
 }
 
@@ -53,7 +60,7 @@
 	I:	aslr,noexecstack
 EOF
 
-    /usr/bin/psecflags $$ | grep I: > output
+    secflags $$ | grep I: > output
     diff -u expected output || exit 1
 }
 
@@ -64,7 +71,7 @@
 	I:	noexecstack
 EOF
 
-    /usr/bin/psecflags $$ | grep I: > output
+    secflags $$ | grep I: > output
     diff -u expected output || exit 1
 }
 
@@ -71,7 +78,7 @@
 self_all() {
     echo "All (self)"
     /usr/bin/psecflags -s all $$
-    /usr/bin/psecflags $$ | grep -q 'I:.*,.*,' || exit 1 # This is lame, but functional
+    secflags $$ | grep -q 'I:.*,.*,' || exit 1 # This is lame, but functional
 }
 
 self_none() {
@@ -81,7 +88,7 @@
     cat > expected <<EOF
 	I:	none
 EOF
-    /usr/bin/psecflags $$ | grep I: > output
+    secflags $$ | grep I: > output
     diff -u expected output || exit 1
 }
 
@@ -88,7 +95,7 @@
 child_set() {
     echo "Set (child)"
 
-    typeset pid; 
+    typeset pid;
 
     /usr/bin/psecflags -s aslr -e sleep 10000 &
     pid=$!
@@ -96,7 +103,7 @@
 	E:	aslr
 	I:	aslr
 EOF
-    /usr/bin/psecflags $pid | grep '[IE]:' > output
+    secflags $pid | grep '[IE]:' > output
     kill $pid
     diff -u expected output || exit 1
 }
@@ -104,7 +111,7 @@
 child_add() {
     echo "Add (child)"
 
-    typeset pid; 
+    typeset pid;
 
     /usr/bin/psecflags -s aslr $$
     /usr/bin/psecflags -s current,noexecstack -e sleep 10000 &
@@ -113,7 +120,7 @@
 	E:	aslr,noexecstack
 	I:	aslr,noexecstack
 EOF
-    /usr/bin/psecflags $pid | grep '[IE]:' > output
+    secflags $pid | grep '[IE]:' > output
     kill $pid
     /usr/bin/psecflags -s none $$
     diff -u expected output || exit 1
@@ -122,7 +129,7 @@
 child_remove() {
     echo "Remove (child)"
 
-    typeset pid; 
+    typeset pid;
 
     /usr/bin/psecflags -s aslr $$
     /usr/bin/psecflags -s current,-aslr -e sleep 10000 &
@@ -131,7 +138,7 @@
 	E:	none
 	I:	none
 EOF
-    /usr/bin/psecflags $pid | grep '[IE]:' > output
+    secflags $pid | grep '[IE]:' > output
     kill $pid
     /usr/bin/psecflags -s none $$
     diff -u expected output || exit 1
@@ -144,7 +151,7 @@
 
     /usr/bin/psecflags -s all -e sleep 10000 &
     pid=$!
-    /usr/bin/psecflags $pid | grep -q 'E:.*,.*,' # This is lame, but functional
+    secflags $pid | grep -q 'E:.*,.*,' # This is lame, but functional
     ret=$?
     kill $pid
     (( $ret != 0 )) && exit $ret
@@ -154,7 +161,7 @@
     echo "None (child)"
 
     typeset pid
-    
+
     /usr/bin/psecflags -s all $$
 
     /usr/bin/psecflags -s none -e sleep 10000 &
@@ -163,7 +170,7 @@
 	E:	none
 	I:	none
 EOF
-    /usr/bin/psecflags $pid | grep '[IE]:' > output
+    secflags $pid | grep '[IE]:' > output
     kill $pid
     diff -u expected output || exit 1
 }
